javax.xml.ws

## Annotation Type ServiceMode

    @Target(TYPE)
    @Retention(RUNTIME)
    @Inherited
    @Documented
    public @interface ServiceMode

Used to indicate whether a `Provider` implementation wishes to work with entire protocol messages or just with protocol message payloads.

Since:
  1.6, JAX-WS 2.0

### Optional Element Summary

Optional Elements
`Service.Mode` `value` Service mode.

### Element Detail

#### value

    Service.Mode value

Service mode. `PAYLOAD` indicates that the `Provider` implementation wishes to work with protocol message payloads only. `MESSAGE` indicates that the `Provider` implementation wishes to work with entire protocol messages.

Default:
  javax.xml.ws.Service.Mode.PAYLOAD